Eclipse Remote Application Platform

## org.eclipse.swt.browser
Interface LocationListener

All Known Implementing Classes:
  LocationAdapter

    public interface LocationListener

This listener interface may be implemented in order to receive a `LocationEvent` notification when a `Browser` navigates to a different URL.

Since:
  1.0
See Also:
  `Browser.addLocationListener(LocationListener)`, `Browser.removeLocationListener(LocationListener)`

Method Summary
`void` `changed(LocationEvent event)` This method is called when the current location is changed.
`void` `changing(LocationEvent event)` This method is called when the current location is about to be changed.

Method Detail

### changing

    void changing(LocationEvent event)

  This method is called when the current location is about to be changed.

  The following fields in the `LocationEvent` apply:

  - (in) location the location to be loaded
  - (in) widget the `Browser` whose location is changing
  - (in/out) doit can be set to `false` to prevent the location from being loaded

  Parameters:
    `event` - the `LocationEvent` that specifies the location to be loaded by a `Browser`

### changed

    void changed(LocationEvent event)

  This method is called when the current location is changed.

  The following fields in the `LocationEvent` apply:

  - (in) location the current location
  - (in) top `true` if the location opens in the top frame or `false` otherwise
  - (in) widget the `Browser` whose location has changed

  Parameters:
    `event` - the `LocationEvent` that specifies the new location of a `Browser`

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0